Skip to main content
`Ctrl`+`K`

# DMPlexSetConeOrientation

Set the orientations on the in-edges for this point in the DAG

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexSetConeOrientation(DM dm, PetscInt p, const PetscInt coneOrientation[])

Not Collective

## Input Parameters

- dm - The `DMPLEX`

- p - The point, which must lie in the chart set with `DMPlexSetChart()`

- coneOrientation - An array of orientations. Its length is given by the result of `DMPlexSetConeSize()`

## Notes

This should be called after all calls to `DMPlexSetConeSize()` and `DMSetUp()`.

The meaning of coneOrientation is detailed in `DMPlexGetConeOrientation()`.

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexCreate()`, `DMPlexGetConeOrientation()`, `DMPlexSetCone()`, `DMPlexSetChart()`, `DMPlexSetConeSize()`, `DMSetUp()`

## Level

beginner

## Location

src/dm/impls/plex/plex.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages